How to display point cloud

Hello everyone,
I want to Display million of points at the same time.
How to display so many points?
Thank you in advance!

Marco Nawijn's picture

Hello,

If your only interest is in displaying points, I am not sure if opencascade is the right tool for the right job. Did you consider using Paraview (www.paraview.org)?

Regards,

Marco

Dennis G.'s picture

If you have a million gp_Pnt Points you can try the following:

Build vertices and add them to a compound.

// CODE ---------------
TopoDS_Compound vertexCompound;
BRep_Builder compoundBuilder;
compoundBuilder.MakeCompound(vertexCompound);

for(int i=1; i<=pntHSeq->Length(); i++)
compoundBuilder.Add(vertexCompound, BRepBuilderAPI_MakeVertex().Vertex());

// END ----------------------

Now, you should be able to display the vertexCompound in your View.

Good luck.
Let us know if it worked.

Cheers,

Dennis

Pawel's picture

hi huangye,

you can also inherit from AIS_InteractiveObject. Look at
http://www.opencascade.org/org/forum/thread_1125/
to get an idea.

Pawel